#pragma once
#include <qlabel.h>

class CWMLabelAsix:public QLabel
{
	Q_OBJECT

public:
	CWMLabelAsix(QWidget *parent=0);
	~CWMLabelAsix(void);

	bool eventFilter(QObject* watched, QEvent* event) override;

protected:
	virtual void paintEvent(QPaintEvent *pEvent);
public:
	void setAngle(int nAngle);
	void SetWafer(bool bHasWafer);
private:
	int m_nAngle;
	bool m_bHasWafer = false;
};

